Subject: bug#73428: update elogind to 255

From: Julian Flake <[email-masked]>
Date: Mon, 23 Sep 2024 23:58:46 +0200

The provided patch describes a minor upgrade of elogind to 252.24. Maybe
this already solves my specific issue with `loginctl suspend` while
using sway WM.

The major update to 255.x needs more attention, since configure flags
changed different tests fail.

I don't know, how to test this from a local git worktree of guix. I can
install it from my local worktree into my ~/.guix-profile, but this is
not picked up by my operating-system, which expects the binaries in my
system's profile, I guess.